<template>
  <div>
    <b-container>
      <h2>Cartile mele:</h2>

      <b-row>
        <b-col cols="12" md="6" lg="4" v-for="post in posts" :key="post.id">
          <Post @postSaved="postSaved" :post="post"></Post>
        </b-col>
      </b-row>
      <div class="mt-4" v-if="savedPosts">
        <h2>Carti salvate:</h2>

        <b-row>
          <b-col cols="3" v-for="post in savedPosts" :key="post.id">
            <Post :post="post"></Post>
          </b-col>
        </b-row>
      </div>
    </b-container>
  </div>
</template>

<script>
import Post from "./Post.vue";
export default {
  props: ["posts"],
  components: {
    Post
  },
  data() {
    return {
      savedPosts: JSON.parse(localStorage.getItem("savedPosts")) ?? JSON.parse(sessionStorage.getItem("savedPosts"))
    };
  },
  methods: {
    postSaved(post) {
      if (this.savedPosts == null || this.savedPosts == undefined) {
        this.savedPosts = [];
      }
      this.savedPosts.push(post);
      localStorage.setItem("savedPosts", JSON.stringify(this.savedPosts));
      sessionStorage.setItem("savedPosts", JSON.stringify(this.savedPosts));
    }
  }
};
</script>

<style>
</style>